# Uses of Interface
org.opensaml.saml.saml1.core.AttributeStatement

Packages that use AttributeStatement
Package
Description
org.opensaml.saml.saml1.core
Interfaces for SAML 1.0 and 1.1 types and elements.
org.opensaml.saml.saml1.core.impl
Implementations of SAML 1.x core specification types and elements.
org.opensaml.saml.saml1.testing

## Uses of AttributeStatement in org.opensaml.saml.saml1.core

Methods in org.opensaml.saml.saml1.core that return types with arguments of type AttributeStatement
Modifier and Type
Method
Description
`List<AttributeStatement>`
Assertion.`getAttributeStatements()`
Return all the `AttributeStatement` elements.

## Uses of AttributeStatement in org.opensaml.saml.saml1.core.impl

Classes in org.opensaml.saml.saml1.core.impl that implement AttributeStatement
Modifier and Type
Class
Description
`class`
`AttributeStatementImpl`
A Concrete implementation of the `AttributeStatement` Interface.
Methods in org.opensaml.saml.saml1.core.impl that return AttributeStatement
Modifier and Type
Method
Description
`AttributeStatement`
AttributeStatementBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`AttributeStatement`
AttributeStatementBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml1.core.impl that return types with arguments of type AttributeStatement
Modifier and Type
Method
Description
`List<AttributeStatement>`
AssertionImpl.`getAttributeStatements()`
Return all the `AttributeStatement` elements.

## Uses of AttributeStatement in org.opensaml.saml.saml1.testing

Methods in org.opensaml.saml.saml1.testing that return AttributeStatement
Modifier and Type
Method
Description
`static AttributeStatement`
SAML1ActionTestingSupport.`buildAttributeStatement()`
Builds an empty attribute statement.